curl https://api.onepay.la/v1/customers/session/charges/9e02966f-2ddf-4ee7-a391-5b5b7653e232 \
-H "Authorization: Bearer sk_test_xxx" \
-H "x-customer-token: 12|a1b2c3d4e5f6..."
{
"charge_id": "9e02966f-2ddf-4ee7-a391-5b5b7653e232",
"status": "created",
"amount": 50000,
"currency": "COP",
"description": "Pago mensualidad marzo",
"remarks": null,
"paid_at": null,
"created_at": "2026-03-17T21:30:00+00:00"
}
Consulta el estado y detalle de un cargo creado en la sesión del cliente.
curl https://api.onepay.la/v1/customers/session/charges/9e02966f-2ddf-4ee7-a391-5b5b7653e232 \
-H "Authorization: Bearer sk_test_xxx" \
-H "x-customer-token: 12|a1b2c3d4e5f6..."
{
"charge_id": "9e02966f-2ddf-4ee7-a391-5b5b7653e232",
"status": "created",
"amount": 50000,
"currency": "COP",
"description": "Pago mensualidad marzo",
"remarks": null,
"paid_at": null,
"created_at": "2026-03-17T21:30:00+00:00"
}
POST /customers/session/charges.created — Pendiente de aprobaciónpaid — Aprobado y cobrado exitosamentefailed — Rechazado o expiradoCOP, USD).status es failed. null en otros estados.null si aún no ha sido pagado.curl https://api.onepay.la/v1/customers/session/charges/9e02966f-2ddf-4ee7-a391-5b5b7653e232 \
-H "Authorization: Bearer sk_test_xxx" \
-H "x-customer-token: 12|a1b2c3d4e5f6..."
{
"charge_id": "9e02966f-2ddf-4ee7-a391-5b5b7653e232",
"status": "created",
"amount": 50000,
"currency": "COP",
"description": "Pago mensualidad marzo",
"remarks": null,
"paid_at": null,
"created_at": "2026-03-17T21:30:00+00:00"
}
Was this page helpful?